Loading...
Searching...
No Matches
mpc.hh File Reference

Representation of multi-point constraint (MPC) equations. More...

`#include <map>`
`#include <vector>`
`#include <iosfwd>`
`#include <set>`

Go to the source code of this file.

## Classes

class | Opm::Elasticity::MPC
| A class for representing a general multi-point constraint equation. More...
struct | Opm::Elasticity::MPC::DOF
| A struct for representing one term (DOF number and associated coefficient) in a MPC equation. More...
class | Opm::Elasticity::MPC::Less
| Comparison predicate for MPCs. More...

## Namespaces

namespace | Opm
| Inverting small matrices.

## Typedefs

typedef std::set< MPC *, MPC::Less > | Opm::Elasticity::MPCSet
| A set of MPCs.
typedef std::map< int, MPC * > | Opm::Elasticity::MPCMap
| A mapping from dof to MPCs.

## Enumerations

enum | Opm::Elasticity::Direction { NONE = 0 , X = 1 , Y = 2 , Z = 4 , XY = 1+2 , XZ = 1+4 , YZ = 2+4 , XYZ = 1+2+4 }
| An enum for specification of global coordinate directions.

## Detailed Description

Representation of multi-point constraint (MPC) equations.

Date
  Oct 1 2007

Author
  Knut Morten Okstad / SINTEF